WordPress.org

Support

Support » Plugins and Hacks » [Resolved] not working

[Resolved] not working

  • Hi Baden, just installed the latest version on a new site using boilerplate theme. i have very few plugins on, tried switching them all of to no effect (except when i switched off Pods which broke the page).

    Link is: http://dev.omuk.com/news/

    the sites a mess at the moment but you’ll see it’s the main blog roll. Looking at console in firebug shows “TypeError: id is undefined”. Really don’t know what that means.

    my php is like this:

    <?php // Display blog posts on any page @ http://m0n.co/l
    		$temp = $wp_query; $wp_query= null;
    		$wp_query = new WP_Query(); $wp_query->query('showposts=10' . '&paged='.$paged);
    		while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
    		<h2 class="collapseomatic  colomat-open" rel="neuro-highlander"><?php the_title(); ?></h2>
    			<div class="content_collapse_wrapper">
    				<div id="target-<?php the_ID(); ?>" class="collapseomatic_content ">
    					<?php the_content(); ?>
    				</div>
    			</div>
    		<?php endwhile; ?>

    http://wordpress.org/extend/plugins/jquery-collapse-o-matic/

Viewing 15 replies - 1 through 15 (of 15 total)
  • Plugin Author Baden

    @baden03

    You are missing the in the trigger h2 element. Also, you do not need the content_collapse_wrapper div… unless you are using it for your own purposes.

    <h2 class="collapseomatic  colomat-open" rel="neuro-highlander" id="<?php the_ID(); ?>"><?php the_title(); ?></h2>
    <div id="target-<?php the_ID(); ?>" class="collapseomatic_content ">
    	<?php the_content(); ?>
    </div>

    How does that work for ya?

    Ah! thank you Baden! Works brilliantly.

    Your support is commendable. 🙂

    Plugin Author Baden

    @baden03

    Thank you, thank you. Vote for Pedro!

    hmm… any pointers on how i could get this to auto expand the first post? i looked at the expanded attribute but i’m unsure how to put this into my php.

    Plugin Author Baden

    @baden03

    do_shortcode('[expand title="Trigger Text" expanded="true"]Target Content[/expand]');

    Thomas

    @thomaspapachuloch

    Hey Baden

    I am from Baden, Switzerland 🙂
    Got a problem with this nice plugin here: http://www.lifeline-documentaries.com/packages/ the example code is underneath the first image –> Vader / Target Content

    The text is displayed, but also the target text. And there is no link on “Vader”

    Do you see where my problem is?

    Best, Thomas

    Plugin Author Baden

    @baden03

    Grützi! Thomas from Baden, Switzerland.
    It seems you have solved your issue… what ended up causing the trouble?

    Have marked the issue as resolved. Hit us back if you still need assistance.

    Oh, and if you are happy and you know it… vote for pedro and show it!

    Thomas

    @thomaspapachuloch

    Hey Baden

    Yes, everything works fine!
    I am using a selfmade template and forgot to put in my header.php this line of code:

    <? wp_head(); ?>

    therefore the library and css styles were not loaded, because the plugin put this into the header file of wordpress, if I am right…

    Best, Thomas

    Plugin Author Baden

    @baden03

    Yup, that would do it! Glad to hear you got it sussed out.

    Hi Baden,

    We can’t wait to use this great plugin on our website. Unfortunately it’s not working at the moment. Can you please help us figure out where the conflict is originating from, so we can find a fix for this.

    Currently, the text content does not expand when the trigger text is clicked:

    URL: http://profoundprojects.com/on-page-seo-packages.html

    Ctrl+F Read More

    Thank you very much!!

    Plugin Author Baden

    @baden03

    here is a hint:

    <script type='text/javascript' src='http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js?ver=3.5'></script>

    You might want to ask your theme developer why they are force-loading grandpa’s jQuery.

    The current version of Collapse-O-Matic requires 3.3 or higher (that uses jQuery 1.7.1)
    So your best bet is to roll back to Collapse-O-Matic 1.4.9 while you tell your theme developer to read this: http://msyk.es/blog/prevent-jquery-wordpress-theme/

    Huzzah!

    Thanks for the hint! It’s working like a charm right now! Huzzah!

    Really want this to work, can you help?

    http://panavisionremotesystems.com/

    plugin is being used in “Testimonials”

    The arrows and title links show but the content is expanded and will not collapse?

    I am using standard short code:

    [expand title=”Trigger Text”]Target Content[/expand]

    Thanks in advance!

    Plugin Author Baden

    @baden03

    @chriskabisch: very strange. The source looks correct, and there are not JS errors being thrown. We would like to take a closer look. Please shoot us an email to support [at] twinpictures [dot] de and include a link to this thread.

    I sent the email, thanks.

Viewing 15 replies - 1 through 15 (of 15 total)
  • The topic ‘[Resolved] not working’ is closed to new replies.